← Tabeller

Scotland

West Region League Division 3

#HoldPWDLPDBPPtsForm
1Clydebank RFC7511+220628WWDLW
2Paisley RFC4400+202420WWWW
3Moffat RFC5311+83317WWDL
4Waysiders/Drumpellier RFC5203+18311LLWW
5Glasgow University Medics2200+4327WW
6Hyndland RFC4103-4415WLLL
7Clydesdale RFC5104-30710LLLLW
8Isle of Mull RFC4004-18010LLLL
9Isle of Arran RFC2002-3500LL

Kilde: Scottish Rugby · tjekket 18. okt., 16.20 · Form: de seneste fem resultater, vi har, nyeste til højre.

Kampe og resultater →

Hver tabel er ligaens egen offentliggjorte stilling med bonuspoint, fradrag og placeringsregler. BP vises, hvor ligaen offentliggør det; ellers er det allerede med i Pts.